Name:          spymemcached
Version:       2.11.4
Release:       7%{?dist}
Summary:       Java client for memcached
# ASL src/scripts/write-version-info.sh
License:       ASL 2.0 and MIT
Url:           https://github.com/dustin/java-memcached-client
Source0:       https://github.com/dustin/java-memcached-client/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.codahale.metrics:metrics-core)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-beans)

%if 0
# test deps
BuildRequires: mvn(jmock:jmock) >= 1.2.0
BuildRequires: mvn(junit:junit)
%endif

Requires:      mvn(log4j:log4j:1.2.17)

BuildArch:     noarch

%description
A simple, asynchronous, single-threaded memcached client written in java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-memcached-client-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

sed -i "s|2.999.999-SNAPSHOT|%{version}|" pom.xml
sed -i.log4j12 "s|<version>1.2.16|<version>1.2.17|" pom.xml

native2ascii -encoding UTF-8 src/main/java/net/spy/memcached/MemcachedConnection.java \
 src/main/java/net/spy/memcached/MemcachedConnection.java

# Unavailable test dep
%pom_remove_dep :jmock

%mvn_file :%{name} %{name}
%mvn_alias :%{name} spy:spymemcached spy:memcached

%build

%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.markdown
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 2.11.4-4
- rebuilt

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 2.11.4-2
- fix Url tag

* Tue Feb 17 2015 gil cattaneo <puntogil@libero.it> 2.11.4-1
- update to 2.11.4

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 2.9.1-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.9.1-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Oct 04 2013 gil cattaneo <puntogil@libero.it> 2.9.1-1
- update to 2.9.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 gil cattaneo <puntogil@libero.it> 2.9.0-2
- fix mvn aliases

* Thu Jun 13 2013 gil cattaneo <puntogil@libero.it> 2.9.0-1
- update to 2.9.0

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 2.8.12-1
- update to 2.8.12

* Thu Dec 27 2012 gil cattaneo <puntogil@libero.it> 2.8.9-1
- update to 2.8.9

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 2.8.8-1
- initial rpm
